Subject: Re: WARN trace - skb_warn_bad_offload - vxlan - large udp packet - udp checksum disabled

From: Jesse Brandeburg <[email-masked]>
Date: Wed, 6 Jan 2016 18:23:54 -0800

On Tue, 15 Dec 2015 01:35:27 +0000
"Nelson, Shannon" <[email-masked]> wrote:

> Using a slightly modified version of udpspam (see diff below - hopefully
> not mangled by corporate email servers), where I set the SO_NO_CHECK
> socket option and can specify a large buffer size, I can reliably get
> the following WARN trace.  I have reproduced this on both ixgbe and
> i40e drivers using "udpspam-no-check <target-ip> 6000".
> 
> It looks to me like this is in the Tx path before we get to the actual
> NIC drivers, but I may be wrong.
> 
> 
> [ 1757.644324] ------------[ cut here ]------------
> [ 1757.644333] WARNING: CPU: 22 PID: 5537 at net/core/dev.c:2423 skb_warn_bad_offload+0x104/0x111()

Was anyone able to take a look at this?  There is a pretty clear
reproducer in the original mail.

I know SO_NO_CHECK is a lightly used option, but it does exist and we
found a userspace program that tries to use it.